'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = NumberFlag;

var _string = require('./string');

function NumberFlag(options = {}) {
  const required = options.optional === false || options.required;
  const defaultOptions = {
    parse: (input, cmd, name) => {
      let value = input;
      if (!value && options.default) return options.default();
      if (!value && required) throw new _string.RequiredFlagError(name);
      if (value) return parseInt(input);
    }
  };
  return Object.assign(defaultOptions, options);
}