'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = OrgFlag;

require('.');

function OrgFlag(options = {}, env = process.env) {
  const envOrg = env.HEROKU_ORGANIZATION;
  const defaultOptions = {
    char: 'o',
    description: 'organization to use',
    default: () => envOrg,
    parse: input => {
      if (input) return input;
      if (envOrg) return envOrg;
      if (options.required) throw new Error('No org specified');
    }
  };
  return Object.assign(defaultOptions, options);
}