'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = StringFlag;
function StringFlag(options = {}) {
  const required = options.optional === false || options.required;
  const defaultOptions = {
    parse: (input, cmd, name) => {
      let value = input;
      if (!value && options.default) value = options.default;
      if (!value && required) throw new RequiredFlagError(name);
      return input;
    }
  };
  return Object.assign(defaultOptions, options);
}

class RequiredFlagError extends Error {
  constructor(name) {
    super(`Missing required flag --${name}`);
  }
}
exports.RequiredFlagError = RequiredFlagError;