'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
class Git {
  get remotes() {
    return this.exec('remote -v').split('\n').filter(l => l.endsWith('(fetch)')).map(l => {
      const [name, url] = l.split('\t');
      return { name, url: url.split(' ')[0] };
    });
  }

  exec(cmd) {
    const { execSync: exec } = require('child_process');
    return exec(`git ${cmd}`, { encoding: 'utf8', stdio: [null, 'pipe', null] });
  }
}
exports.default = Git;